USN-6326-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6326-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6326-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6326-1
Related
Published
2023-08-31T18:10:17.500309Z
Modified
2023-08-31T18:10:17.500309Z
Summary
python-git vulnerability
Details

It was discovered that GitPython did not block insecure options from user inputs in the clone command. An attacker could possibly use this issue to execute arbitrary commands on the host.

References

Affected packages

Ubuntu:Pro:18.04:LTS / python-git

Package

Name
python-git

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
2.1.8-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-git-doc": "2.1.8-1ubuntu0.1~esm2",
            "python-git": "2.1.8-1ubuntu0.1~esm2",
            "python3-git": "2.1.8-1ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:20.04:LTS / python-git

Package

Name
python-git

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.0.7-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-git-doc": "3.0.7-1ubuntu0.1~esm2",
            "python3-git": "3.0.7-1ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:22.04:LTS / python-git

Package

Name
python-git

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
3.1.24-1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-git-doc": "3.1.24-1ubuntu0.1~esm2",
            "python3-git": "3.1.24-1ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / python-git

Package

Name
python-git

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.3.2~RC1-3ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-git": "0.3.2~RC1-3ubuntu0.1~esm2"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / python-git

Package

Name
python-git

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.0.1+git137-gc8b8379-2.1ubuntu0.1~esm2

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "python-git-doc": "1.0.1+git137-gc8b8379-2.1ubuntu0.1~esm2",
            "python-git": "1.0.1+git137-gc8b8379-2.1ubuntu0.1~esm2",
            "python3-git": "1.0.1+git137-gc8b8379-2.1ubuntu0.1~esm2"
        }
    ]
}